Fortinet Document Library

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:


Table of Contents

Administration Guide

ADOM versions

ADOMs can concurrently manage FortiGate units running FortiOS 5.4, and 5.6, allowing devices running these versions to share a common database. This allows you to continue to manage an ADOM as normal while upgrading the devices within that ADOM.

When adding a new FortiGate unit to an ADOM, the FortiGate unit should have the same FortiOS version as the ADOM.

This feature can be used to facilitate upgrading to new firmware.

Importing policies from devices running higher versions than the ADOM is not supported. Installation to devices running higher versions is supported.

For a complete list of supported devices and firmware versions, see the FortiManager Release Notes.

Each ADOM is associated with a specific FortiOS version, based on the firmware version of the devices that are in that ADOM. This version is selected when creating a new ADOM (see Creating ADOMs), and can be updated only after all of the devices within the ADOM have been updated to the same FortiOS firmware version.

The general steps for upgrading an ADOM containing multiple devices running FortiOS 5.4 from 5.4 to 5.6 are as follows:

  1. In the ADOM, upgrade one of the FortiGate units to FortiOS 5.6, and then resynchronize the device. See Firmware for more information.

    All of the ADOM objects, including Policy Packages, remain as 5.4 objects.

  2. Upgrade the rest of the FortiGate units in the ADOM to FortiOS 5.6.
  3. Upgrade the ADOM to 5.6. See Upgrading an ADOM for more information.

    All of the database objects will be converted to 5.6 format, and the GUI content for the ADOM will change to reflect 5.6 features and behavior.

An ADOM can only be upgraded after all the devices within the ADOM have been upgraded.

ADOM versions

ADOMs can concurrently manage FortiGate units running FortiOS 5.4, and 5.6, allowing devices running these versions to share a common database. This allows you to continue to manage an ADOM as normal while upgrading the devices within that ADOM.

When adding a new FortiGate unit to an ADOM, the FortiGate unit should have the same FortiOS version as the ADOM.

This feature can be used to facilitate upgrading to new firmware.

Importing policies from devices running higher versions than the ADOM is not supported. Installation to devices running higher versions is supported.

For a complete list of supported devices and firmware versions, see the FortiManager Release Notes.

Each ADOM is associated with a specific FortiOS version, based on the firmware version of the devices that are in that ADOM. This version is selected when creating a new ADOM (see Creating ADOMs), and can be updated only after all of the devices within the ADOM have been updated to the same FortiOS firmware version.

The general steps for upgrading an ADOM containing multiple devices running FortiOS 5.4 from 5.4 to 5.6 are as follows:

  1. In the ADOM, upgrade one of the FortiGate units to FortiOS 5.6, and then resynchronize the device. See Firmware for more information.

    All of the ADOM objects, including Policy Packages, remain as 5.4 objects.

  2. Upgrade the rest of the FortiGate units in the ADOM to FortiOS 5.6.
  3. Upgrade the ADOM to 5.6. See Upgrading an ADOM for more information.

    All of the database objects will be converted to 5.6 format, and the GUI content for the ADOM will change to reflect 5.6 features and behavior.

An ADOM can only be upgraded after all the devices within the ADOM have been upgraded.